/*

    File: Menu.h

    Copyright (C) 2000-2007 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#if !defined(ASTEROIDS3D_V2_MENU_H)
#define ASTEROIDS3D_V2_MENU_H

bool Init_Menu(void);
void Shutdown_Menu(void);
void Update_Menu(void);

void Toggle_Menu(void);
void Open_Menu(void);
void Close_Menu(void);

//all the menu variables, all lined up:
extern bool menu_sky_enable;
extern bool menu_sky_cube_map;
extern bool menu_ent_cube_map;
extern bool menu_lod_interpolate;
extern bool menu_ent_lighting;
extern bool menu_particle_enable;
extern bool menu_starfield_enable;

#endif