/*

    File: Main.h

    Copyright (C) 2000-2007 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#if !defined(ASTEROIDS3D_MAIN_H)
#define ASTEROIDS3D_MAIN_H

#include "world.h"

extern M_World *world;

//communication between main and menu
enum {
	GAMESTATE_OPEN_MENU,
	GAMESTATE_MENU,
	GAMESTATE_NEWGAME,
	GAMESTATE_BRAWL
};

extern int game_State;

//lots more talking
enum {
	GAMEACTIVE_NO,
	GAMEACTIVE_YES,
	GAMEACTIVE_PAUSED
};

extern int game_Active;

#endif